Skip to main content
GET
/
v1alpha1
/
bonuses
ListBonuses
curl --request GET \
  --url https://api.toffeepay.com/v1alpha1/bonuses \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "account_id": "<string>",
    "amount": 1,
    "created_at": "2023-11-07T05:31:56Z",
    "key": "<string>",
    "metadata": {}
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

game_id
string
required
user_id
string
account_id
string
limit
integer<int32>

default: 100

Required range: x <= 250
offset
integer<int32>
Required range: x >= 0
from
string<date-time>

A Timestamp represents a point in time independent of any time zone or local calendar. It is formatted as an RFC 3339 string.

Examples:

  • 2024-05-01T00:00:00Z (UTC midnight)
  • 2024-12-25T15:30:00.000Z (With milliseconds)
  • 2024-12-25T07:30:00-08:00 (With timezone offset)
Examples:

"2023-01-15T01:30:15.01Z"

"2024-12-25T12:00:00Z"

to
string<date-time>

A Timestamp represents a point in time independent of any time zone or local calendar. It is formatted as an RFC 3339 string.

Examples:

  • 2024-05-01T00:00:00Z (UTC midnight)
  • 2024-12-25T15:30:00.000Z (With milliseconds)
  • 2024-12-25T07:30:00-08:00 (With timezone offset)
Examples:

"2023-01-15T01:30:15.01Z"

"2024-12-25T12:00:00Z"

Response

200 - application/json

Success

id
string
required
account_id
string
required
amount
integer<int32>
required
Required range: x >= 0
currency
enum<string>
required
Available options:
USD,
GBP,
EUR
created_at
string<date-time>
required
key
string | null
metadata
metadata · object

Struct represents a structured data value, consisting of fields which map to dynamically typed values. In some languages, Struct might be supported by a native representation. For example, in scripting languages like JS a struct is represented as an object. The details of that representation are described together with the proto support for the language.

The JSON representation for Struct is JSON object.